Package com.smartgwt.client.widgets.form.fields

# Class HeaderItem

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.data.Field
com.smartgwt.client.widgets.form.fields.FormItem
com.smartgwt.client.widgets.form.fields.HeaderItem

All Implemented Interfaces:
  `HasHandlers`, `HasBlurHandlers`, `HasChangedHandlers`, `HasChangeHandlers`, `HasClickHandlers`, `HasDoubleClickHandlers`, `HasEditorEnterHandlers`, `HasEditorExitHandlers`, `HasFocusHandlers`, `HasIconClickHandlers`, `HasIconKeyPressHandlers`, `HasItemHoverHandlers`, `HasKeyDownHandlers`, `HasKeyPressHandlers`, `HasKeyUpHandlers`, `HasPendingStatusChangedHandlers`, `HasPickerIconClickHandlers`, `HasShowContextMenuHandlers`, `HasTitleClickHandlers`, `HasTitleDoubleClickHandlers`, `HasTitleHoverHandlers`, `HasValueHoverHandlers`, `HasValueIconClickHandlers`

public class HeaderItem extends FormItem
FormItem for showing a header within a DynamicForm.

Set the `defaultValue` of this item to the HTML you want to embed in the form.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.widgets.form.fields.FormItem

  `FormItem.CustomStateGetter, FormItem.StateCustomizer`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.widgets.form.fields.FormItem

  `configOnly, scClassName, warnOnEditorTypeConversion, warnOnEditorTypeConversionDefault`

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeaderItem()`
  `HeaderItem(JavaScriptObject jsObj)`
  `HeaderItem(String name)`
  `HeaderItem(String name, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `changeAutoChildDefaults(String autoChildName, Canvas defaults)`
  Changes the defaults for Canvas AutoChildren named `autoChildName`.
  `static void`
  `changeAutoChildDefaults(String autoChildName, FormItem defaults)`
  Changes the defaults for FormItem AutoChildren named `autoChildName`.
  `static void`
  `changePickerIconDefaults(FormItemIcon defaults)`
  `Alignment`
  `getAlign()`
  Alignment of this `HeaderItem` in its cell.
  `boolean`
  `getApplyAlignToText()`
  If the `textAlign` is unset, should the `align` setting, if set, be used for this `HeaderItem`'s `textAlign`?
  `boolean`
  `getCanSelectText()`
  Should the user be able to select the text in this item?
  `int`
  `getColSpan()`
  by default, headers span all remaining columns
  `String`
  `getColSpanAsString()`
  by default, headers span all remaining columns
  `String`
  `getDefaultValue()`
  Header text
  `String`
  `getEditProxyConstructor()`
  Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
  `Boolean`
  `getEndRow()`
  these items are in a row by themselves by default
  `static HeaderItem`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Boolean`
  `getShowTitle()`
  Don't show a separate title cell for headers
  `Boolean`
  `getStartRow()`
  these items are in a row by themselves by default
  `String`
  `getTextBoxStyle()`
  Base CSS class for this item
  `HeaderItem`
  `setAlign(Alignment align)`
  Alignment of this `HeaderItem` in its cell.
  `HeaderItem`
  `setApplyAlignToText(boolean applyAlignToText)`
  If the `textAlign` is unset, should the `align` setting, if set, be used for this `HeaderItem`'s `textAlign`?
  `HeaderItem`
  `setCanSelectText(boolean canSelectText)`
  Should the user be able to select the text in this item?
  `HeaderItem`
  `setColSpan(int colSpan)`
  by default, headers span all remaining columns
  `HeaderItem`
  `setColSpan(String colSpan)`
  by default, headers span all remaining columns
  `static void`
  `setDefaultProperties(HeaderItem headerItemProperties)`
  Class level method to set the default properties of this class.
  `HeaderItem`
  `setDefaultValue(String defaultValue)`
  Header text
  `HeaderItem`
  `setEditProxyConstructor(String editProxyConstructor)`
  Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
  `HeaderItem`
  `setEndRow(Boolean endRow)`
  these items are in a row by themselves by default
  `HeaderItem`
  `setShowTitle(Boolean showTitle)`
  Don't show a separate title cell for headers
  `HeaderItem`
  `setStartRow(Boolean startRow)`
  these items are in a row by themselves by default
  `HeaderItem`
  `setTextBoxStyle(String textBoxStyle)`
  Base CSS class for this item

  ### Methods inherited from class com.smartgwt.client.widgets.form.fields.FormItem

  `_getValue, addBlurHandler, addChangedHandler, addChangeHandler, addClickHandler, addDoubleClickHandler, addEditorEnterHandler, addEditorExitHandler, addFocusHandler, addIcon, addIcon, addIconClickHandler, addIconKeyPressHandler, addItemHoverHandler, addKeyDownHandler, addKeyPressHandler, addKeyUpHandler, addPendingStatusChangedHandler, addPickerIconClickHandler, addShowContextMenuHandler, addTitleClickHandler, addTitleDoubleClickHandler, addTitleHoverHandler, addValueHoverHandler, addValueIconClickHandler, applyFormula, asSGWTComponent, blurItem, canEditCriterion, checkFormItemType, clearErrors, clearValue, disable, disableIcon, enable, enableIcon, error, error, errorIfNotCreated, focusAfterItem, focusInItem, getAccessKey, getAllowExpressions, getAlwaysFetchMissingValues, getAlwaysShowControlBox, getApplyHeightToTextBox, getAriaRole, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsObject, getAttributeAsString, getAutoComplete, getAutoCompleteKeywords, getBrowserInputType, getBrowserSpellCheck, getCanEdit, getCanEditOpaqueValues, getCanFocus, getCanHover, getCanTabToIcons, getCanvasAutoChild, getCellHeight, getCellStyle, getChangeOnKeypress, getClassName, getClipStaticValue, getClipTitle, getConfig, getContainerWidget, getControlStyle, getCriteriaField, getCriterion, getCriterion, getCursorPosition, getCustomState, getDataPath, getDateFormatter, getDecimalPad, getDecimalPrecision, getDefaultIconSrc, getDefaultOperator, getDeferActionConversion, getDestroyed, getDisabled, getDisabledHover, getDisableIconsOnReadOnly, getDisplayField, getDisplayFieldName, getDisplayValue, getDisplayValue, getEditorTypeConfig, getEditPendingCSSText, getEmptyDisplayValue, getEmptyValueIcon, getEnableTitleClickWhenDisabled, getErrorIconHeight, getErrorIconProperties, getErrorIconSrc, getErrorIconWidth, getErrorMessageWidth, getErrors, getEscapeHTML, getExportFormat, getExtraControlTableCSS, getExtraTextBoxCSS, getFetchMissingValues, getFieldName, getFilterLocally, getForeignDisplayField, getForm, getFormat, getFormItemAutoChild, getFormula, getFullDataPath, getGlobalTabIndex, getGridColNum, getGridRowNum, getHeight, getHeightAsString, getHidden, getHint, getHintStyle, getHoverAlign, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHeightAsString, getHoverOpacity, getHoverPersist, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWidthAsString, getIcon, getIconBaseStyle, getIconHeight, getIconHSpace, getIconPageRect, getIconPrompt, getIconRect, getIcons, getIconTabPosition, getIconVAlign, getIconWidth, getID, getImageURLPrefix, getImageURLSuffix, getImplicitSave, getImplicitSaveOnBlur, getInputFormat, getLeft, getLinearColSpan, getLinearColSpanAsString, getLinearEndRow, getLinearEndRowAsString, getLinearStartRow, getLinearStartRowAsString, getLinearWidth, getLinearWidthAsString, getListGrid, getLoadingDisplayValue, getLocateItemBy, getMinHintWidth, getMultiple, getMultipleValueSeparator, getName, getNullOriginalValueText, getOperator, getOptionCriteria, getOptionDataSource, getOptionDataSourceAsString, getOptionFilterContext, getOptionOperationId, getOptionTextMatchStyle, getOriginalValueMessage, getPageLeft, getPageRect, getPageTop, getPaletteDefaults, getPermanentlyHidden, getPicker, getPickerIcon, getPickerIcon, getPickerIconHeight, getPickerIconName, getPickerIconPrompt, getPickerIconProperties, getPickerIconSrc, getPickerIconStyle, getPickerIconTabPosition, getPickerIconWidth, getPixelHeight, getPixelWidth, getPrintReadOnlyTextBoxStyle, getPrintTextBoxStyle, getPrintTitleStyle, getPrompt, getReadOnlyCanSelectText, getReadOnlyControlStyle, getReadOnlyDisplay, getReadOnlyHover, getReadOnlyTextBoxStyle, getReadOnlyWhen, getRect, getRedrawOnChange, getRejectInvalidValueOnChange, getRequired, getRequiredMessage, getRequiredRightTitlePrefix, getRequiredRightTitleSuffix, getRequiredTitlePrefix, getRequiredTitleSuffix, getRequiredWhen, getRightTitlePrefix, getRightTitleSuffix, getRowSpan, getSaveOnEnter, getScClassName, getSelectedRecord, getSelectOnClick, getSelectOnFocus, getShouldSaveValue, getShowClippedTitleOnHover, getShowClippedValueOnHover, getShowDeletions, getShowDisabled, getShowDisabledIconsOnFocus, getShowDisabledPickerIconOnFocus, getShowErrorIcon, getShowErrorIconInline, getShowErrorStyle, getShowErrorText, getShowFocused, getShowFocusedErrorState, getShowFocusedIcons, getShowFocusedPickerIcon, getShowHint, getShowIcons, getShowIconsOnFocus, getShowImageAsURL, getShowOldValueInHover, getShowOver, getShowOverIcons, getShowPending, getShowPickerIcon, getShowPickerIconOnFocus, getShowRTL, getShowValueIconOnly, getShowVoiceAssistIcon, getStaticHeight, getStopOnError, getStoreDisplayValues, getSupportsCutPasteEvents, getSuppressOptionDSFallback, getSuppressValueIcon, getSynchronousValidation, getTabIndex, getTextAlign, getTextBoxVPad, getTextFormula, getTimeFormatter, getTitle, getTitleAlign, getTitleColSpan, getTitleOrientation, getTitlePrefix, getTitleStyle, getTitleSuffix, getTitleVAlign, getTooltip, getTop, getTreatEmptyAsNull, getType, getUpdateControlOnOver, getUpdatePickerIconOnOver, getUpdateTextBoxOnOver, getUseAdvancedCriteria, getUseDisabledHintStyleForReadOnly, getUseLocalDisplayFieldValue, getValidateOnChange, getValidateOnExit, getValidOperators, getVAlign, getValue, getValueAsFloat, getValueAsInteger, getValueAsLong, getValueAsRecordList, getValueDeselectedCSSText, getValueField, getValueFieldName, getValueIconAriaRole, getValueIconHeight, getValueIconLeftPadding, getValueIconRightPadding, getValueIconSize, getValueIconWidth, getValueMap, getValueMapAsArray, getVisible, getVisibleHeight, getVisibleTitleWidth, getVisibleWhen, getVisibleWidth, getWarnOnEditorTypeConversion, getWarnOnEditorTypeConversionDefault, getWidth, getWidthAsString, getWrapHintText, getWrapStaticValue, getWrapTitle, handleWarnOnEditorTypeConversion, hasAdvancedCriteria, hasErrors, hide, hideIcon, invalidateDisplayValueCache, isAssignableFrom, isConfigOnly, isCreated, isCutEvent, isDisabled, isDrawn, isFocused, isInGrid, isPasteEvent, isVisible, linkToInstanceUponCreate, mapDisplayToValue, mapValueToDisplay, mapValueToDisplay, mapValueToDisplay, redraw, redraw, removeIcon, selectedRecordChanged, setAccessKey, setAllowExpressions, setAlwaysFetchMissingValues, setAlwaysShowControlBox, setApplyHeightToTextBox, setAriaRole, setAriaState, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoComplete, setAutoCompleteKeywords, setBrowserInputType, setBrowserSpellCheck, setCanEdit, setCanEditCriterionPredicate, setCanEditOpaqueValues, setCanFocus, setCanHover, setCanTabToIcons, setCellHeight, setCellStyle, setChangeOnKeypress, setClipStaticValue, setClipTitle, setConfigOnly, setControlStyle, setCriteriaField, setCriterion, setCriterionGetter, setCriterionSetter, setCustomStateGetter, setDataPath, setDateFormatter, setDecimalPad, setDecimalPrecision, setDefaultIconSrc, setDefaultOperator, setDefaultProperties, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDeferActionConversion, setDisabled, setDisabledHover, setDisableIconsOnReadOnly, setDisplayField, setDisplayFormat, setDisplayFormat, setEditorProperties, setEditorType, setEditorType, setEditorType, setEditorValueFormatter, setEditorValueParser, setEditPendingCSSText, setEmptyDisplayValue, setEmptyValueIcon, setEnableTitleClickWhenDisabled, setErrorFormatter, setErrorIconHeight, setErrorIconProperties, setErrorIconSrc, setErrorIconWidth, setErrorMessageWidth, setErrorOrientation, setErrors, setErrors, setEscapeHTML, setExportFormat, setExtraControlTableCSS, setExtraTextBoxCSS, setFetchMissingValues, setFilterLocally, setForeignDisplayField, setFormat, setFormula, setGlobalTabIndex, setHeight, setHeight, setHidden, setHint, setHintStyle, setHoverAlign, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverHeight, setHoverOpacity, setHoverPersist, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWidth, setIconBaseStyle, setIconDisabled, setIconHeight, setIconHSpace, setIconPrompt, setIcons, setIconShowOnFocus, setIconVAlign, setIconWidth, setID, setImageURLPrefix, setImageURLSuffix, setImplicitSave, setImplicitSaveOnBlur, setInitHandler, setInputFormat, setInputTransformer, setItemHoverFormatter, setItemTitleHoverFormatter, setItemValueHoverFormatter, setJavaScriptObject, setLeft, setLinearColSpan, setLinearColSpan, setLinearEndRow, setLinearEndRow, setLinearStartRow, setLinearStartRow, setLinearWidth, setLinearWidth, setLoadingDisplayValue, setLocateItemBy, setMinHintWidth, setMultiple, setMultipleValueSeparator, setName, setNullOriginalValueText, setNullProperty, setOperator, setOptionCriteria, setOptionDataSource, setOptionDataSource, setOptionFilterContext, setOptionOperationId, setOptionTextMatchStyle, setOriginalValueMessage, setPermanentlyHidden, setPickerIconHeight, setPickerIconName, setPickerIconPrompt, setPickerIconProperties, setPickerIconSrc, setPickerIconStyle, setPickerIconWidth, setPrintReadOnlyTextBoxStyle, setPrintTextBoxStyle, setPrintTitleStyle, setPrompt, setProperty, setProperty, setProperty, setProperty, setProperty, setReadOnlyCanSelectText, setReadOnlyControlStyle, setReadOnlyDisplay, setReadOnlyHover, setReadOnlyTextBoxStyle, setReadOnlyWhen, setRedrawOnChange, setRejectInvalidValueOnChange, setRequired, setRequiredMessage, setRequiredRightTitlePrefix, setRequiredRightTitleSuffix, setRequiredTitlePrefix, setRequiredTitleSuffix, setRequiredWhen, setRightTitlePrefix, setRightTitleSuffix, setRowSpan, setSaveOnEnter, setScClassName, setSelectOnClick, setSelectOnFocus, setShouldSaveValue, setShowClippedTitleOnHover, setShowClippedValueOnHover, setShowDeletions, setShowDisabled, setShowDisabledIconsOnFocus, setShowDisabledPickerIconOnFocus, setShowErrorIcon, setShowErrorIconInline, setShowErrorStyle, setShowErrorText, setShowFocused, setShowFocusedErrorState, setShowFocusedIcons, setShowFocusedPickerIcon, setShowHint, setShowIcons, setShowIconsOnFocus, setShowIfCondition, setShowImageAsURL, setShowOldValueInHover, setShowOver, setShowOverIcons, setShowPending, setShowPickerIcon, setShowPickerIconOnFocus, setShowRTL, setShowValueIconOnly, setShowVoiceAssistIcon, setStateCustomizer, setStaticHeight, setStopOnError, setStoreDisplayValues, setSupportsCutPasteEvents, setSuppressOptionDSFallback, setSuppressValueIcon, setSynchronousValidation, setTabIndex, setTextAlign, setTextBoxVPad, setTextFormula, setTimeFormatter, setTitle, setTitleAlign, setTitleColSpan, setTitleHoverFormatter, setTitleOrientation, setTitlePrefix, setTitleStyle, setTitleSuffix, setTitleVAlign, setTooltip, setTop, setTreatEmptyAsNull, setType, setUpdateControlOnOver, setUpdatePickerIconOnOver, setUpdateTextBoxOnOver, setUseAdvancedCriteria, setUseDisabledHintStyleForReadOnly, setUseLocalDisplayFieldValue, setUseObjectFactoryForTypeFallback, setValidateOnChange, setValidateOnExit, setValidators, setValidOperators, setVAlign, setValue, setValue, setValue, setValue, setValue, setValue, setValueByDisplayValue, setValueByDisplayValue, setValueDeselectedCSSText, setValueField, setValueFormatter, setValueHoverFormatter, setValueIconAriaRole, setValueIconHeight, setValueIconLeftPadding, setValueIconMapper, setValueIconRightPadding, setValueIcons, setValueIconSize, setValueIconWidth, setValueMap, setValueMap, setVisible, setVisibleWhen, setWarnOnEditorTypeConversion, setWarnOnEditorTypeConversionDefault, setWidth, setWidth, setWrapHintText, setWrapStaticValue, setWrapTitle, shouldApplyHeightToTextBox, shouldFetchMissingValue, shouldSaveOnEnter, shouldStopKeyPressBubbling, show, showIcon, showPicker, stopHover, storeValue, storeValue, updateState, validate, valueClipped`

  ### Methods inherited from class com.smartgwt.client.data.Field

  `getCanExport, getExportTitle, getPrimaryKey, getSortByField, setCanExport, setExportTitle, setPrimaryKey, setSortByField`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsIntArray, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### HeaderItem

    public HeaderItem()

  - ### HeaderItem

    public HeaderItem(JavaScriptObject jsObj)

  - ### HeaderItem

    public HeaderItem(String name)

  - ### HeaderItem

    public HeaderItem(String name, String title)

- ## Method Details

  - ### getOrCreateRef

    public static HeaderItem getOrCreateRef(JavaScriptObject jsObj)

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, Canvas defaults)
    Changes the defaults for Canvas AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changeAutoChildDefaults

    public static void changeAutoChildDefaults(String autoChildName, FormItem defaults)
    Changes the defaults for FormItem AutoChildren named `autoChildName`.
    Parameters:
      `autoChildName` - name of an AutoChild to customize the defaults for.
      `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
    See Also:
      - `AutoChildUsage`

  - ### changePickerIconDefaults

    public static void changePickerIconDefaults(FormItemIcon defaults)

  - ### setAlign

    public HeaderItem setAlign(Alignment align)
    Alignment of this `HeaderItem` in its cell.

    Note: Because a `HeaderItem` fills its cell by default, if the `applyAlignToText` setting is changed to false, then the `textAlign` setting (rather than the `align` setting) of this `HeaderItem` should be used to control the alignment of the header text.

    Overrides:
      `setAlign` in class `FormItem`
    Parameters:
      `align` - New align value. Default value is null
    Returns:
      `HeaderItem` instance, for chaining setter calls
    See Also:
      - `FormItem.setApplyAlignToText(boolean)`
      - `Appearance overview and related methods`

  - ### getAlign

    public Alignment getAlign()
    Alignment of this `HeaderItem` in its cell.

    Note: Because a `HeaderItem` fills its cell by default, if the `applyAlignToText` setting is changed to false, then the `textAlign` setting (rather than the `align` setting) of this `HeaderItem` should be used to control the alignment of the header text.

    Overrides:
      `getAlign` in class `FormItem`
    Returns:
      Current align value. Default value is null
    See Also:
      - `FormItem.getApplyAlignToText()`
      - `Appearance overview and related methods`

  - ### setApplyAlignToText

    public HeaderItem setApplyAlignToText(boolean applyAlignToText)
    If the `textAlign` is unset, should the `align` setting, if set, be used for this `HeaderItem`'s `textAlign`?

    Note : This is an advanced setting

    Overrides:
      `setApplyAlignToText` in class `FormItem`
    Parameters:
      `applyAlignToText` - New applyAlignToText value. Default value is true
    Returns:
      `HeaderItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getApplyAlignToText

    public boolean getApplyAlignToText()
    If the `textAlign` is unset, should the `align` setting, if set, be used for this `HeaderItem`'s `textAlign`?
    Overrides:
      `getApplyAlignToText` in class `FormItem`
    Returns:
      Current applyAlignToText value. Default value is true
    See Also:
      - `Appearance overview and related methods`

  - ### setCanSelectText

    public HeaderItem setCanSelectText(boolean canSelectText)
    Should the user be able to select the text in this item?
    Overrides:
      `setCanSelectText` in class `FormItem`
    Parameters:
      `canSelectText` - New canSelectText value. Default value is true
    Returns:
      `HeaderItem` instance, for chaining setter calls

  - ### getCanSelectText

    public boolean getCanSelectText()
    Should the user be able to select the text in this item?
    Overrides:
      `getCanSelectText` in class `FormItem`
    Returns:
      Current canSelectText value. Default value is true

  - ### setColSpan

    public HeaderItem setColSpan(int colSpan)
    by default, headers span all remaining columns
    Overrides:
      `setColSpan` in class `FormItem`
    Parameters:
      `colSpan` - New colSpan value. Default value is "*"
    Returns:
      `HeaderItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getColSpan

    public int getColSpan()
    by default, headers span all remaining columns

    Note : This method will return -1 if the underlying SmartClient JavaScript attribute value cannot be expressed as a(n) int. In that case, other getters, similarly-named but ending in `AsString`, `AsCanvas`, etc., may be provided.

    Returns:
      Current colSpan value. Default value is "*"
    See Also:
      - `Appearance overview and related methods`

  - ### setColSpan

    public HeaderItem setColSpan(String colSpan)
    by default, headers span all remaining columns
    Overrides:
      `setColSpan` in class `FormItem`
    Parameters:
      `colSpan` - New colSpan value. Default value is "*"
    Returns:
      `HeaderItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getColSpanAsString

    public String getColSpanAsString()
    by default, headers span all remaining columns
    Returns:
      Current colSpan value. Default value is "*"
    See Also:
      - `Appearance overview and related methods`

  - ### setDefaultValue

    public HeaderItem setDefaultValue(String defaultValue)
    Header text
    Overrides:
      `setDefaultValue` in class `FormItem`
    Parameters:
      `defaultValue` - New defaultValue value. Default value is "Header"
    Returns:
      `HeaderItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getDefaultValue

    public String getDefaultValue()
    Header text
    Overrides:
      `getDefaultValue` in class `FormItem`
    Returns:
      Current defaultValue value. Default value is "Header"
    See Also:
      - `Appearance overview and related methods`

  - ### setEditProxyConstructor

    public HeaderItem setEditProxyConstructor(String editProxyConstructor)
    Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
    Overrides:
      `setEditProxyConstructor` in class `FormItem`
    Parameters:
      `editProxyConstructor` - New editProxyConstructor value. Default value is "TextItemEditProxy"
    Returns:
      `HeaderItem` instance, for chaining setter calls
    See Also:
      - `SCClassName`

  - ### getEditProxyConstructor

    public String getEditProxyConstructor()
    Default class used to construct the `EditProxy` for this component when the component is `first placed into edit mode`.
    Overrides:
      `getEditProxyConstructor` in class `FormItem`
    Returns:
      Current editProxyConstructor value. Default value is "TextItemEditProxy"
    See Also:
      - `SCClassName`

  - ### setEndRow

    public HeaderItem setEndRow(Boolean endRow)
    these items are in a row by themselves by default
    Overrides:
      `setEndRow` in class `FormItem`
    Parameters:
      `endRow` - New endRow value. Default value is true
    Returns:
      `HeaderItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getEndRow

    public Boolean getEndRow()
    these items are in a row by themselves by default
    Overrides:
      `getEndRow` in class `FormItem`
    Returns:
      Current endRow value. Default value is true
    See Also:
      - `Appearance overview and related methods`

  - ### setShowTitle

    public HeaderItem setShowTitle(Boolean showTitle)
    Don't show a separate title cell for headers
    Overrides:
      `setShowTitle` in class `FormItem`
    Parameters:
      `showTitle` - New showTitle value. Default value is false
    Returns:
      `HeaderItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getShowTitle

    public Boolean getShowTitle()
    Don't show a separate title cell for headers
    Overrides:
      `getShowTitle` in class `FormItem`
    Returns:
      Current showTitle value. Default value is false
    See Also:
      - `Appearance overview and related methods`

  - ### setStartRow

    public HeaderItem setStartRow(Boolean startRow)
    these items are in a row by themselves by default
    Overrides:
      `setStartRow` in class `FormItem`
    Parameters:
      `startRow` - New startRow value. Default value is true
    Returns:
      `HeaderItem` instance, for chaining setter calls
    See Also:
      - `Appearance overview and related methods`

  - ### getStartRow

    public Boolean getStartRow()
    these items are in a row by themselves by default
    Overrides:
      `getStartRow` in class `FormItem`
    Returns:
      Current startRow value. Default value is true
    See Also:
      - `Appearance overview and related methods`

  - ### setTextBoxStyle

    public HeaderItem setTextBoxStyle(String textBoxStyle)
    Base CSS class for this item
    Overrides:
      `setTextBoxStyle` in class `FormItem`
    Parameters:
      `textBoxStyle` - New textBoxStyle value. Default value is "headerItem"
    Returns:
      `HeaderItem` instance, for chaining setter calls
    See Also:
      - `FormItemBaseStyle`
      - `Appearance overview and related methods`

  - ### getTextBoxStyle

    public String getTextBoxStyle()
    Base CSS class for this item
    Overrides:
      `getTextBoxStyle` in class `FormItem`
    Returns:
      Current textBoxStyle value. Default value is "headerItem"
    See Also:
      - `FormItemBaseStyle`
      - `Appearance overview and related methods`

  - ### setDefaultProperties

    public static void setDefaultProperties(HeaderItem headerItemProperties)
    Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties of the class instance passed to this function. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

    Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

    Parameters:
      `headerItemProperties` - properties that should be used as new defaults when instances of this class are created
    See Also:
      - `SGWTProperties`